package com.javapapers.java;

import java.io.File;
import java.io.IOException;

import com.fasterxml.jackson.databind.ObjectMapper;

public class JavaToJSON {
	public static void main(String[] args) {
		Animal crocodile = new Animal(1, "Crocodile", "Wild");
		ObjectMapper objectMapper = new ObjectMapper();
		try {
			objectMapper.writeValue(new File("animal.json"), crocodile);
		} catch (IOException e) {
			e.printStackTrace();
		}

		try {
			objectMapper.writerWithDefaultPrettyPrinter().writeValue(
					new File("prettyanimal.json"), crocodile);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
